package com.jdbernard.wdiwtlt.db.models;

import java.sql.Timestamp;
import java.util.Date;
import java.util.UUID;

public class Playlist extends Model {
    public boolean userCreated = true;
    public String name;
    public int mediaFileCount = 0;
    public UUID copiedFromId = null;
    public Timestamp createdAt = new Timestamp(new Date().getTime());
    public Timestamp lastUsed = new Timestamp(new Date().getTime());

    public String toString() {
        if (userCreated) return name;
        return name + " (auto)"; }
}
